############################################################################
					IMBA-Q6700-R10 (B645)
					TANK-XM811-MB (SAR9)
					DRPC-242-ADL-P-R10(SJF4)
############################################################################

================================================================================
CPU Microcode : ADL-P
                Q-0: M82906A1_0000011C.pdb
                K-0: M80906A2_0000030E.pdb
                L-0: M80906A3_00000438.pdb
                RPL-P:
                J-0: MC0B06A2_00004130.pdb    
================================================================================
VSCC Table:
W25R256JW   0xEF6019
W25R256JV   0xEF4019
W25Q256JV   0xEF7019
MX25L25645G 0xC22019
MX25U25643G 0xC22539
=============================================================================
Note:
1. No support DOS.
-----------------------------------------------------------------------------
Version		: SJF4AR18     Base on SJF4AR17  (EC:SJF4NR13)        
Date		: 2026/05/29
CheckSum	: B6ADh
BIOS owner              : Miaomiao Wang
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1.Update Secure Boot key and show option
2.Fix OKR2 Timer loop problem
-----------------------------------------------------------------------------
Version		: SJF4AR17     Base on SJF4AR16  (EC:SJF4NR13)        
Date		: 2025/10/11
CheckSum	: B6ADh
BIOS owner              : Miaomiao Wang
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1.Update Microcode to last
2.Update new setup Background picture
3.Fixed HDMI 4K AOC U2790PQU would hang99 when rebooted bios setup
4.Hide and show some item according to BIOS rule
-----------------------------------------------------------------------------
Version		: SJF4AR16     Base on SJF4AR15  (EC:SJF4NR13)        
Date		: 2023/11/27
CheckSum	: D56Bh
BIOS owner              : Chunping Liu
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1,Modify load default function
2,Modify Sys smart fan help string
3,Fixed the issue when set Administrator password,press enter will enter bios setup
-----------------------------------------------------------------------------
Version		: SJF4AR15     Base on SJF4AR14  (EC:SJF4NR13)        
Date		: 2023/10/30
CheckSum	: 1F89h
BIOS owner              : Chunping Liu
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1,Support IEIOKR2 function
2,Modify BIOS some strings for smart fan information
3,Modify  WDT Function from SIO to EC
4,Hide [Case Open Detection] follow bios rule
5,Hide [AMT Configuration] follow BIOS rule
6,support Hotkey F12 can take BIOS setup Screenshots
7,Fixed always enter BIOS Setup when no any boot device
-----------------------------------------------------------------------------
Version		: SJF4AR14     Base on SJF4AR13  (EC:SJF4NR12)        
Date		: 2023/07/27
CheckSum	: 8321h
BIOS owner              : Chunping Liu
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1，Modify memory string follow bios rule
-----------------------------------------------------------------------------
Version		: SJF4AR13     Base on SJF4AR12  (EC:SJF4NR11)        
Date		: 2023/07/13
CheckSum	: 407Dh
BIOS owner              : Chunping Liu
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1,Update USB Power control string follow BIOS rules
2,Fix COM port IRQ Configuration for Com port-mouse can be used but must scan once
3,Fixed Device manager show unknowed device
4,Modify MAX_ADDITIONAL_P2P_BRIDGES to 64 for Bios rules
-----------------------------------------------------------------------------
Version		: SJF4AR12     Base on SJF4AR11  (EC:SJF4NR11)    M2023060283        
Date		: 2023/06/29
CheckSum	: D230h
BIOS owner              : Chunping Liu
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1,Set PL1 default value as 20w
2,Modify the sys fan string as SYS_FAN  Follow hw design
-----------------------------------------------------------------------------
Version		: SJF4AR11     Base on SJF4AR10  (EC:SJF4NR11)            
Date		: 2023/04/24
CheckSum	: 008Fh
BIOS owner              : Chunping Liu
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : NO
HW version              : V101
Action		: 
1,Modify the wrong IRQ settings for PEG and PCH PCIE ports
2,Support BIOS auto load default by OS APP setting
3,Modify smart fan string
4,Modify some information in BIOS setup follow rule
-----------------------------------------------------------------------------
Version		: SJF4AR10     Base on SJF4AR02  (EC:SJF4NR10)            
Date		: 2023/03/20
CheckSum	: 4CC8h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE       : EFI
ME/TXE change       : YES
HW version              : V101
Action		: 
1.Update Code Base RPL_P_08
2.Change COM3 & COM4 f81439 COM port Type select EC API follow EC spec
3.Support TPM BIOS items can load default by press F3
-----------------------------------------------------------------------------
Version		: SJF4AR02     Base on SJF4AR01  (EC:SJF4NR02)            
Date		: 2023/03/08
CheckSum	: 42DDh
BIOS owner: Emily
Update BIOS: EFI
Update ME/TXE: EFI
ME/TXE change: YES
HW version  : V101
Action		: 
1.Fix EIST function fail issue
2.Modify USB2.0 signal for V101 MB according to HW requirement
3.Modify BIOS setup items
4.Fix power on hang 0x99 with HDMI Samsung S28AG704NC
5.Fix the issue that M2_B slot plugged  M.2 x2 pcie device, it will be a yellow exclamation mark in windows device management
-----------------------------------------------------------------------------
Version		: SJF4AR01     Base on SAU5AR02  (EC:SJF4NR01)            
Date		: 2023/01/30
CheckSum	: 4A7Fh
BIOS owner: Emily
Update BIOS: EFI
Update ME/TXE: EFI
ME/TXE change: YES
HW version  : V101
Action		: 
1.Fix the issue that show the ACPI ERROR message when enter the Ubuntu OS
-----------------------------------------------------------------------------
Version		: SAU5AR02     Base on SAU5AR01  (EC:SAU5NR02)            
Date		: 2023/01/11
CheckSum	: 99B3h
BIOS owner: Emily
Update BIOS: EFI
Update ME/TXE: EFI
ME/TXE change: YES
HW version  : V101
Action		: 
1.Modify HDMI signal for  HW requirement 
2.Modify USB2.0 signal for HW requirement
3.Modify PCIEX4_1 Slot speed to GEN3 for design requirement
4.Fix WIN10 [Windows Boot Manager] randomly missing under boot order(F7&BIOS setup)issue
5.Support USB2_CN1 function for V101 MB
6.Modify USB OC function for V101 MB
7.Support USB POWER SW4 for V101 MB
8.Support SPI Quad mode for V101 MB
9.Modify PCIE clock for V101 MB
10.Remove TYPEC1 and TYPEC2 function 
11.Support Case Open function
12.Fix S3 resume action like as reboot issu
13.Fix have 5 beep warning when enter BIOS setup
14.Modify BIOS setup items
15.Update CPU microcode to the latest
16.Update UI module
17.Support BIOS setup screenshot function
-----------------------------------------------------------------------------
Version		: SAU5AR01     Base on SJAT5AR00  (EC:SAU5NR01)       NO. 2022050003        
Date		: 2022/07/18
CheckSum	: D83Fh
BIOS owner: Emily
Update BIOS: EFI
Update ME/TXE: EFI
ME/TXE change: YES
HW version  : V100
Action		: 
1.First release
-----------------------------------------------------------------------------
Version		: SAT5AR00 Base on SJB8AR02 (EC:SAT5NR00)     
Date		: 2022/06/8
CheckSum	: E326h
BIOS owner              : Miaomiao
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.First release;
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
Version		: SJB8AR02	 Base on SJB8AR01 (EC:SJB8NR02)     
Date		: 2022/03/21
CheckSum	: 0ECFh
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Modify system fan1(BP) & fan2(BP) default according to SE requirements 
2.Fix the issue that sys temp3 (BP) show 0 when have no BP 
3.Fix USB port have no message "Safely Remove Hardware and Eject Media" when USB disk plug to USB Port
4.Fix USB OC have no function issue
-----------------------------------------------------------------------------
Version		: SJB8AR01	 Base on SAR9AR08 (EC:SJB8NR01)     
Date		: 2022/03/04
CheckSum	: C091h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.First release
-----------------------------------------------------------------------------
Version		: SAR9AR08	 Base on SAR9AR07 (EC:SAR9NR05)     
Date		: 2022/03/02
CheckSum	: C091h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.Modify USB OC function
2.Add VSCC table
3.Fix the PCH SKU show undefined SKU issue
4.Support IEI_String 
5.Fix WIN10 [Windows Boot Manager] randomly missing under boot order(F7&BIOS setup)issue
6.Modify BIOS setup items
7.According to HW requirement: Change PEG port speed for PEG signal test 
8.Fix clear J_cmos by jumper can clear the system date and time issue 
9.Modify iAMT sol string
10.Modify ISMM function
-----------------------------------------------------------------------------
Version		: SAR9AR07	 Base on SAR9AR06 (EC:SAR9NR04)     
Date		: 2022/01/18
CheckSum	: 4BD3h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.Modify HSIO setting for V101 mainboard
2.Support power temperature for V101 mainboard
3.Support SYS_FAN2(BP SBR9) function for V101 mainboard & V101 BP SBR9
4.Support cpu fan function for V101 mainboard
5.Change SATA string for V101 mainboard
6.Fix monitor have no display when RTC S3 resume
7.Support Intel VMD(RAID) Function
-----------------------------------------------------------------------------
Version		: SAR9AR06	 Base on SAR9AR04 (EC:SAR9NR03)     
Date		: 2022/01/06
CheckSum	: 8F63h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.Support Windows 11
2.Fix S3 resume failed issue(like reboot behavior) 
3.Fix can't install Ubuntu issue (the resolution is too low to display full screen) 
4.Support system fan(BP SBR9) function
5.Improve startup will be long beep problem when connect USB ODD
6.Support SYS Temperature3 (BP SBR9)
7.Fix  G-0 Stepping(90674) CPU will only run 0.39Ghz issue
8.Support IEI UI BIOS setup 
9.Modify BIOS setup items
-----------------------------------------------------------------------------
Version		: SAR9AR05	 Base on SAR9AR03 (EC:SAR9NR02)     
Date		: 2021/11/23
CheckSum	: D0FAh
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.Update code base to 1AYIL004 to support C0 stepping
-----------------------------------------------------------------------------
Version		: SAR9AR04	 Base on SAR9AR03 (EC:SAR9NR02)     
Date		: 2021/11/10
CheckSum	: BA91h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Patch randomly power on hang 14 issue 
-----------------------------------------------------------------------------
Version		: SAR9AR03	 Base on SAR9AR02 (EC:SAR9NR02)     
Date		: 2021/11/05
CheckSum	: 9E75h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.set power default by PM request (PL1 & PL2 15w) 
-----------------------------------------------------------------------------
Version		: SAR9AR02	 Base on SAR9AR01 (EC:SAR9NR02)     
Date		: 2021/11/04
CheckSum	: B625h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.Modify BIOS setup items
2.Fix com5 & com6 RS485 have no function issue
3.Disable USB S4 wake function
4.Fix memory frequency only 2133 Mhz issue
5.Support DP++ function
6.Support UEFI PXE lan boot function
7.Support PTT function
8. Show PL1& PL2 item under BIOS setup
9.Patch can't find M2_A1(SBR6) device issue
-----------------------------------------------------------------------------
Version		: SAR9AR01	(EC:SAR9NR01)     NO. 2021080002
Date		: 2021/10/28
CheckSum	: 9183h
BIOS owner              : Emily
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.First Release
-----------------------------------------------------------------------------
Version		: B645AR01	(EC:B645NR01)     NO.2021080003
Date		: 2020/09/29
CheckSum	: 905Dh
BIOS owner              : Yonghui
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.First Release
-----------------------------------------------------------------------------
